import Vue from "vue";
import Vuex from "vuex";

Vue.use(Vuex);

// modules
import client from "./modules/client/store";

export default new Vuex.Store({
  state: {
    user: {},
    // 硬件检测结果
    hardwareCheckResult: {}
  },
  mutations: {
    setUser(state, user) {
      state.user = user;
    }
  },
  actions: {},
  modules: {
    client
  }
});
